aboutsummaryrefslogtreecommitdiffstats
path: root/ChibiOS_20.3.2/os/hal/boards/genboards.sh
diff options
context:
space:
mode:
authorClyne Sullivan <clyne@bitgloo.com>2021-03-04 17:54:40 -0500
committerClyne Sullivan <clyne@bitgloo.com>2021-03-04 17:54:40 -0500
commiteeeb04fa1a202c68279d4b4ee0a1e3ff34c62c7f (patch)
treed297b41a662c831d7e5bab76c85f48d33e2c604b /ChibiOS_20.3.2/os/hal/boards/genboards.sh
parent5f6181bb3c6ab4274a8068aaf14b278fa65e443e (diff)
add L4 and G4 to ChibiOS; delete bloat
Diffstat (limited to 'ChibiOS_20.3.2/os/hal/boards/genboards.sh')
-rw-r--r--ChibiOS_20.3.2/os/hal/boards/genboards.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/ChibiOS_20.3.2/os/hal/boards/genboards.sh b/ChibiOS_20.3.2/os/hal/boards/genboards.sh
new file mode 100644
index 0000000..91b6cc6
--- /dev/null
+++ b/ChibiOS_20.3.2/os/hal/boards/genboards.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+if [ $# -eq 0 ]
+then
+ find . -name board.fmpp -exec bash genboards.sh '{}' \;
+elif [ $# -eq 1 ]
+then
+ path=$(readlink -f $(dirname $1))
+ echo "Processing: $1"
+ cd $path
+ if ! fmpp -q -C board.fmpp
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+else
+ echo "illegal number of arguments"
+fi